Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventType Class Reference

`#include <Notify_Event.h>`

Collaboration diagram for TAO_Notify_EventType:

[legend]
List of all members.

## Public Methods
| TAO_Notify_EventType (void)
| TAO_Notify_EventType (const char *domain_name, const char *type_name)
| TAO_Notify_EventType (const CosNotification::EventType &event_type)
| ~TAO_Notify_EventType ()
u_long | hash (void) const
void | operator= (const CosNotification::EventType &event_type)
int | operator== (const TAO_Notify_EventType &notify_event_type) const
CORBA::Boolean | is_special (void) const
const CosNotification::EventType & | get_native (void) const
## Static Public Methods
TAO_Notify_EventType & | special_event_type (void)
## Protected Methods
void | recompute_hash (void)
## Protected Attributes
CosNotification::EventType | event_type_
u_long | hash_value_
## Static Protected Attributes
TAO_Notify_EventType | special_event_type_

## Constructor & Destructor Documentation

TAO_Notify_EventType::TAO_Notify_EventType | ( | void |  | ) |

TAO_Notify_EventType::TAO_Notify_EventType | ( | const char * | domain_name,
|  | const char * | type_name
| ) |

TAO_Notify_EventType::TAO_Notify_EventType | ( | const CosNotification::EventType & | event_type | ) |

TAO_Notify_EventType::~TAO_Notify_EventType | ( |  | ) |

## Member Function Documentation

const CosNotification::EventType & TAO_Notify_EventType::get_native | ( | void |  | ) | const

u_long TAO_Notify_EventType::hash | ( | void |  | ) | const

CORBA::Boolean TAO_Notify_EventType::is_special | ( | void |  | ) | const

void TAO_Notify_EventType::operator= | ( | const CosNotification::EventType & | rhs | ) |

int TAO_Notify_EventType::operator== | ( | const TAO_Notify_EventType & | rhs | ) | const

void TAO_Notify_EventType::recompute_hash | ( | void |  | ) | `[protected]`

TAO_Notify_EventType & TAO_Notify_EventType::special_event_type | ( | void |  | ) | `[static]`

## Member Data Documentation

CosNotification::EventType TAO_Notify_EventType::event_type_`[protected]`

u_long TAO_Notify_EventType::hash_value_`[protected]`

TAO_Notify_EventType TAO_Notify_EventType::special_event_type_`[static, protected]`

The documentation for this class was generated from the following files:

- Notify_Event.h
- Notify_Event.cpp